:root {
    --streamGreen: hsl(121, 100%, 49%); /* Not far from chartreuse */
    --borderWidth: 1vw;
    --boxShadowSize: 3vw;
    --textShadow: 3vw;
    --scanlineStrength: 5%;
    --scanlineSize: 0.5vw;
}

html {
    box-sizing: border-box; /* Flexible border-box reset */
    height: 100%;
}

*, *:before, *:after {
    box-sizing: inherit; /* All elements (including pseudo elements) will inherit border-box */
}

body {
    margin: 0;
    display: flex;
    flex-direction: column-reverse; /* Puts menu at the bottom */
    height: 100%;
    color: var(--streamGreen);
    background-color: black;
    font-family: 'VT323', monospace;
    text-shadow: 0px 0px var(--textShadow) var(--streamGreen);
}

html:before {
    position: absolute;
    content:"";
    background: repeating-linear-gradient(0, hsl(0, 0%, 0%, var(--scanlineStrength)), hsl(0, 0%, 0%, var(--scanlineStrength)) var(--scanlineSize), hsl(0, 0%, 50%, var(--scanlineStrength)) var(--scanlineSize), hsl(0, 0%, 50%, var(--scanlineStrength)) calc(var(--scanlineSize) * 2)) ;
    height: 100%;
    width: 100%;
    pointer-events: none;
    z-index: 3;
}

main {
    display: flex;
    flex-direction: column;
    box-shadow: 0px 0px var(--boxShadowSize) 0px var(--streamGreen) inset;
    overflow-y: auto;
    overflow-x: hidden;
    border: var(--streamGreen);
    border-width: var(--borderWidth);
    border-style: solid;
    position: relative;
    height: 100%;
    width: 100%;
    justify-content: flex-end;
}

p {
    font-size: 5vw;
    text-align: justify;
    text-justify: auto;
    margin: 5% 0 0 0;
}

a {
    color: hsl(121, 100%, 66%);
}

a:visited {
    color: hsl(121, 100%, 33%);
}

h1 {
    font-size: 6vw;
    margin: 0;
}

button {
    /* /* height: 100%; */
    width: 100%;
    border: var(--streamGreen);
    /* border-width: 0px var(--borderWidth) 0px 0px; */
    border-style: solid;
    color: inherit;
    background-color: inherit;
    font-family: inherit;
    /* font-size: vw; */
    text-shadow: inherit;
    box-shadow: 0px 0px calc(0.25 * var(--boxShadowSize)) 0px var(--streamGreen) inset;
    /* letter-spacing: 0.25em; */
    align-self: center;
    /* padding: 0px; */
    display: block;
    font-weight: lighter;
    margin-top: 2vh;
}

button:hover {
    cursor: pointer;
}

#gameSetup {
    display: flex;
    flex-direction: column;
    align-self: center;
    margin-bottom: 5vh;
}

#gameSetup label {
    font-size: 7vw;
}

#gameSetup select {
    font-size: 5vw;
}

#gameSetup input {
    font-size: 5vw;
}

#gameSetup button {
    font-size: 5vw;
}

#lifeCounters {
    max-width: 100%;
    display: flex;
    flex-wrap: wrap;
}

/* select {
    color: inherit;
    background-color: inherit;
    border-style: solid;
    border-color: inherit;
    font-family: inherit;
}

playerNumOption {
    background-color: black;
} */

.player {
    display: none;
    width: 50%;
    flex-direction: column;
    padding: 2%;
    align-items: center;
}

/* input {
    font-family: inherit;
    width: 100%;
    background-color: inherit;
    color: inherit;
    border-color: inherit;
    padding: 0;
    text-shadow: inherit;
    border-style: solid;
} */

.life {
    text-align: center;
    font-size: 10vw;
}

.playerName {
    /* width: 80%; */
    text-align: center;
    font-family: inherit;
    width: 100%;
    background-color: inherit;
    color: inherit;
    border-color: inherit;
    padding: 0;
    text-shadow: inherit;
    border-style: solid;
}

#resetGame {
    display: none;
    position: sticky;
    bottom: 0;
    align-self: center;
    height: 5vmax;
}

@media only screen and (min-width: 768px), (orientation: landscape) {
    body {
        display: flex;
        flex-direction: row;
    }

    main {
        justify-content: center;
    }

    p {
        font-size: 2vw;
        margin: 2% 0 0 0;
    }

    label {
        font-size: 2vw;
    }
    
    select {
        font-size: 2vw;
    }

    input {
        font-size: 2vw;
    }

    button {
        font-size: 2vw;
    }

    .player {
        width: 25%;
    }

    #gameSetup {
        margin-bottom: 0;
    }

    #resetGame {
        display: none;
        position: absolute;
        bottom: 0;
        align-self: center;
        height: 5vmax;
        border-width: var(--borderWidth) 0px 0px 0px;
        box-shadow: 0px var(--boxShadowSize) var(--boxShadowSize) calc(-1 * var(--boxShadowSize)) var(--streamGreen) inset;
    }
}